%define dirver %(echo %version | tr . _)
Name:          ace
Version:       7.1.4
Release:       1mamba
Summary:       A C++ framework for implementing distributed and networked applications
Group:         Development/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.dre.vanderbilt.edu/~schmidt/TAO.html
Source:        https://github.com/DOCGroup/ACE_TAO/releases/download/ACE%2BTAO-%{dirver}/ACE-%{version}.tar.gz
License:       Custom
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libperl
BuildRequires: libstdc++6-devel
BuildRequires: perl-devel
## AUTOBUILDREQ-END
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
A C++ framework for implementing distributed and networked applications.

%package -n lib%{name}
Group:         System/Libraries
Summary:       A C++ framework for implementing distributed and networked applications

%description -n lib%{name}
A C++ framework for implementing distributed and networked applications.
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config
Provides:      perl(Driver)
Provides:      perl(MakeProjectBase)
Provides:      perl(MakeWorkspaceBase)
Provides:      perl(ObjectGenerator)
Provides:      perl(ProjectCreator)
Provides:      perl(WorkspaceCreator)
Provides:      perl(WorkspaceHelper)
Provides:      perl(DependencyWriter)
Provides:      perl(WIXProjectCreator)

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.


%debug_package

%prep
%setup -q -n ACE_wrappers

%build
export ACE_ROOT=$PWD
echo '#include "ace/config-linux.h"' > ace/config.h
echo 'INSTALL_PREFIX = %{_prefix}
include $(ACE_ROOT)/include/makeinclude/platform_linux.GNU' > include/makeinclude/platform_macros.GNU

cd ace
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

export ACE_ROOT=$PWD
cd ace
%makeinstall INSTALL_LIB=%{_lib}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libACE.so.*
%{_libdir}/libACE_Compression.so.*
%{_libdir}/libACE_ETCL.so.*
%{_libdir}/libACE_ETCL_Parser.so.*
%{_libdir}/libACE_Monitor_Control.so.*
%{_libdir}/libACE_RLECompression.so.*
%doc AUTHORS COPYING THANKS

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_datadir}/ace
%{_datadir}/ace/*
%dir %{_includedir}/ace
%{_includedir}/ace/*
%{_libdir}/libACE.so
%{_libdir}/libACE_Compression.so
%{_libdir}/libACE_ETCL.so
%{_libdir}/libACE_ETCL_Parser.so
%{_libdir}/libACE_Monitor_Control.so
%{_libdir}/libACE_RLECompression.so
%{_libdir}/pkgconfig/ACE.pc
%{_libdir}/pkgconfig/ACE_ETCL.pc
%{_libdir}/pkgconfig/ACE_ETCL_Parser.pc
%{_libdir}/pkgconfig/ACE_Monitor_Control.pc
%doc NEWS README

%changelog
* Thu Apr 11 2024 Automatic Build System <autodist@openmamba.org> 7.1.4-1mamba
- automatic version update by autodist

* Wed Jan 17 2024 Automatic Build System <autodist@openmamba.org> 7.1.3-1mamba
- automatic version update by autodist

* Tue Oct 31 2023 Automatic Build System <autodist@mambasoft.it> 7.1.2-1mamba
- automatic version update by autodist

* Wed Jun 28 2023 Automatic Build System <autodist@mambasoft.it> 7.1.1-1mamba
- automatic version update by autodist

* Sat Mar 04 2023 Automatic Build System <autodist@mambasoft.it> 7.1.0-1mamba
- automatic version update by autodist

* Mon Dec 19 2022 Automatic Build System <autodist@mambasoft.it> 7.0.11-1mamba
- automatic version update by autodist

* Fri Nov 18 2022 Automatic Build System <autodist@mambasoft.it> 7.0.10-1mamba
- automatic version update by autodist

* Mon Oct 03 2022 Automatic Build System <autodist@mambasoft.it> 7.0.9-1mamba
- automatic version update by autodist

* Sat Jul 02 2022 Automatic Build System <autodist@mambasoft.it> 7.0.8-1mamba
- automatic version update by autodist

* Mon May 23 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 7.0.7-1mamba
- update to 7.0.7

* Tue May 03 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 7.0.6-1mamba
- package created using the webbuild interface
